%% Aufgabe 1.2
clear all; close all; clc;
%% Gegebene Phasenverschiebungswinkel in Rad
delta_phi = [0.5 -0.3 2.1 4.0 -3.6 8.0];
%% Graphische Darstellung der Vektoren
M = [cos(delta_phi); sin(delta_phi)];
plotv(M,'k-');
hold on
%% Zeichne Einheitskreis
th = 0:pi/50:2*pi;
plot(cos(th), sin(th),'k:');
%% Beschriftung
for i=1:6
    t(i) = text(M(1,i)+0.1,M(2,i)+0.05,['x_' num2str(i)]);
end
%% Plot anpassen
axis('equal',[-1.3 1.3 -1.3 1.3])
set([t,gca],'FontSize',9,'FontName','Times')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 5 5])
print(gcf,'Aufg01_02_1','-dpng','-r300')