%% Aufgabe 1.4
clear all; clc; close all;
%% Parameter
phi = 0:0.001:2*pi; % Phasenwinkel in Rad
%% Plot erstellen
p1 = plot(phi,3*sin(phi),'k-',phi,-4*sin(phi).^3,'k--',phi,sin(3*phi),'k:');
xlabel('\phi')
r1 = refline(0,0);
h1 = legend('3sin(\phi)','-4sin(\phi)^3','sin(3\phi)');
%% Plot anpassen 
set(gca,'FontSize',9,'FontName','Times')
axis(gca,[0,2*pi,-4,4])
xticks(gca,[0 pi/2 pi 3*pi/2 2*pi])
xticklabels(gca,{'0','\pi/2','\pi','3\pi/2','2\pi'})
r1.Color = 'k';
h1.Location = 'NorthEastOutside';
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 4])
print(gcf,'Aufg01_04_1','-dpng','-r300')