%% Aufgabe 1.10
clear all; close all; clc;
%% Parameter
h = 1;            % Amplitude Sgezahnfunktion
omega_ = 2*pi;    % Kreisfrequenz in rad/s
N = 8;            % Abbruch der Reihenentwicklung nach ...
t = [0:2/1000:2]; % Zeit in s
%% Berechnung der Fourierentwicklung
cache = 0;              
for n = 1:N   
    cache = cache + sin(n*omega_*t)/n;
end
x = h/2 - h/pi * cache;
%% Plots erstellen
% Zeitverlauf
subplot(2,1,1)
p1 = plot(t,x,'k-'); a1 = gca; 
xlabel('{\it t}/{\itT}');
ylabel('{\itx}/{\ith}');
hold on 
plot([0,1,1,2,2],[0,h,0,h,0],'k--');
hold off
% Spektrum
subplot(2,1,2)
stem(1:N,-h./(1:N),'k-'); a2 = gca;
xlabel('{\it n}')
ylabel('{\it x_{sn}}\pi/{\ith}')
%% Plots anpassen
axis(a1,[.0 1.25 -.2 1.2]);
set([a1 a2],'FontSize',9,'FontName','Times')
h1.Location = 'NorthEastOutside';
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 6])
print(gcf,'Aufg01_10_1','-dpng','-r300')



