%% Aufgabe 1.11
clear all; close all; clc;
%% Parameter
h = 1;              % Amplitude Sgezahnfunktion
omega = 2*pi;       % Kreisfrequenz in rad/s
N = [5 50];         % Gliederanzahl
t = 0:2/1000:2.5;   % Zeit in s
%% Berechnung und Ausgabe der Fourierentwicklung
for i = 1:length(N)
    cache = 0;          
    for n = 1:N(i)
        cache = cache + sin(n*omega*t)/n;
    end
    x = h/2 - h/pi * cache;
    p1(i) = plot(t,x);
    hold on  
end
xlabel('{\it t}/{\itT}');
ylabel('{\itx}/{\ith}');
h1 = legend('N=5','N=50','Location','NorthWest');
%% Plots anpassen
ylim([-0.2,1.2])
set(p1,'Color','black')
set(p1(1),'LineStyle','--')
set(gca,'FontSize',9,'FontName','Times')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 4])
print(gcf,'Aufg01_11_1','-dpng','-r300')