%% Aufgabe 1.17
clc; clear all; close all;
%% Parameter
A = 2;            % Amplitude
T = 10;           % Periodendauer in s
phi = 0;          % Nullphasenwinkel in rad
omega = 2*pi/T;   % Kreisfrequenz in rad/s
t = 0:0.1:200;    % Zeit in s
%% Schwingung exponentiell wachsend
delta = -0.02;    % Abklingkoeffizient
x1 = A*exp(-delta*t).*cos(omega*t+phi);
%% Schwingung exponentiell schwindend
delta = 0.02;     
x2 = A*exp(-delta*t).*cos(omega*t+phi);
%% Plots erstellen
subplot(2,1,1)
p1 = plot(t,x1,'k'); a1 = gca;
xlabel('{\it t}/{\its}');
ylabel('{\it x}({\itt})');
subplot(2,1,2)
p2 = plot(t,x2,'k'); a2 = gca;
xlabel('{\it t}/{\its}');
ylabel('{\it x}({\itt})');
%% Plots anpassen
set([a1 a2],'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')
axis(a1,[0 200 -100 100])
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 6])
print(gcf,'Aufg01_17_1','-dpng','-r300')
