%% Aufgabe 2.3
clear all;close all; clc;
%% Parameter
n = 20;         % Drehzahl in Hz
m = 100;        % Masse Bodenplatte und Schwingkrper in kg
m_u = 1;        % Unwuchtmasse in kg
r = 0.01;       % Exzentrizitt in m
c = 0.1;        % in m
h = 0.6;        % in m
z_1 = 24;       % Zhnezahl
z_2 = 20;       % Zhnezahl
g = 9.81;       % Fallbeschleunigung in m/s^2
t = 0:1/1000:1; % Zeit in s
om = n*2*pi;    % Kreisfrequenz in rad/s
i = z_1 / z_2;  % bersetzungsverhltnis
%% Bodenkraft
F_B = m*g + 2*m_u*g - m_u*r*om^2 * (cos(om*t) + i^2*cos(i*om*t));
%% Plot erstellen
plot(t,F_B,'k-');
xlabel('{\it t}/{\its}');
ylabel('{\it F}_B/{\itN}');
%% Plots anpassen
set(gca,'FontSize',9,'FontName','Times')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 4])
print(gcf,'Aufg02_03_1','-dpng','-r300')