%% Aufgabe 5.11
clear all; close all; clc;
%% Parameter
x_dach = 1;             % Amplitude in mm
phi_0 = 0;              % Phasenwinkel in rad
omega_0 = 10;           % Eigenkreisfrequenz in rad/s
omega_t = 0:0.01:2*pi;  % omega*t in rad
%% Berechnung 
x = x_dach*cos(omega_t+phi_0);
x_punkt = sqrt(1-(x.^2./x_dach^2))./(omega_0*x_dach);
%% Plot erstellen
plot(x,x_punkt,'k')
hold on
plot(x,-x_punkt,'k')
xlabel('{\it x}');
ylabel('$\dot{x}$','interpreter','latex');
%% Plot anpassen
set(gca,'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')
xticks([-1 0 1])
xticklabels({'-{\itx}_E','0','{\itx}_E'})
yticks([-0.1 0 0.1])
yticklabels({'-{\itv}_E','0','{\itv}_E'})
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 6 4])
print(gcf,'Aufg05_11_1','-dpng','-r300')