%% Aufgabe 7.2
clear all; close all; clc;
 %% Parameter
D = 0.1;                                % Dmpfungsgrad
R = 1;                                  % R = 2*r*ms/m
Omega_tilde = [.5 1 1.5];               % Dimensionslose Erregerfrequenz
f_c = [0 -2 .426 0 -0.0097 0 .00023];   % Dimensionslose Erregung
%% Berechnung von Gleichung 7.8
for i = 1:length(Omega_tilde)
    for n = [0 1 2 4 6]
        N1 = sqrt((1-n^2*Omega_tilde(i)^2)^2+4*n^2*D^2*Omega_tilde(i)^2);
        if N1 ~= 0
            x_dach(i,n+1) = R * f_c(n + 1) * Omega_tilde(i)^2 / N1;
        else
            x_dach(i,n+1) = inf;
        end 
        N2 = (1-n^2*Omega_tilde(i)^2);
        if N2 ~= 0
            alpha(i,n+1) = atan(2*D*n*Omega_tilde(i)/N2);
        else
            alpha(i,n+1) = pi/2;
        end 
    end
end
%% Plot erstellen
subplot(2,1,1); stem(x_dach'); a1 = gca;
ylabel('Auslenkung {\itx}');
xlabel('n');
legend('Omega = .5', 'Omega = 1','Omega = 1.5','Location','southeast');
subplot(2,1,2); stem(alpha'); a2 = gca;
xlabel('n');
ylabel('{\alpha}');
%% Plot anpassen 
set([a1 a2],'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')


