%% Aufgabe 7.9
clear all; close all; clc;
%% Parameter
D = 0.1;                            % Dmpfung
R = 1;                              % Faktor R = 2*r*ms/m*k
f_c = [-2 .426 0 -0.0097 0 .00023]; % Dimensionslose Erregung
Omega_t = [.5 1 1.5];               % omega*t in rad
%% Funktionen
V2 = @(Om) sqrt(1+4*D^2*Om^2)/sqrt((1-Om^2)^2+4*D^2*Om^2);
%% Berechnung von F(t)
for i1 = 1:length(Omega_t) 
    for i2=1:6
        F1(i1,i2) = R*f_c(i2)/i2^2*(i2*Omega_t(i1))^2*V2(i2*Omega_t(i1));
    end
end
%% Plot erstellen
p1 = stem([0:6],[zeros(3,1) F1]','k');
l1 = legend('\Omega_{tilde} = .5', '\Omega_{tilde} = 1', '\Omega_{tilde} = 1.5');
xlabel('\itn');
ylabel('\itF');
%% Plot anpassen
set(gca,'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')
p1(2).Marker = '^'; p1(3).Marker = 'x';
l1.Location = 'SouthEast';
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 5])
print(gcf,'Aufg07_09_1','-dpng','-r300')  