%% Aufgabe 11.4
clear all; close all; clc;
%% Parameter Gl 11.4/12
t = 1:0.01:6;
X = [-0.614 0.776  -0.143;
     -0.614 -0.285 1.082;
     0.767  0.722  0.625];
p = [0.675+0.202*t;
     -0.456*cos(1.164*t)+0.853*sin(1.164*t);
      0.263*cos(2.925*t)+0.129*sin(2.925*t)];
%% Plot erstellen
p1 = plot(t,X*p,'k');
xlabel('$t^*$','Interpreter','latex')
ylabel('$\varphi_k/\Omega$','Interpreter','latex')
l1 = legend('$k=1$','$k=2$','$k=4$','orientation',...
            'horizontal','Location','North');
%% Plots anpassen
ylim([-2,3])
grid on
set(gca,'FontSize',9,'FontName','Times')
set(p1(1),'LineWidth',1.5)
set(p1(3),'LineStyle','--')
set(l1,'Interpreter','latex')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 5])
print(gcf,'Aufg11_04_1','-dpng', '-r300')