%% Aufgabe 11.8
clear all; close all; clc;
%% Parameter
% Bezogene Gren
Jl = 1; J2 = 0.2; J3= 0.3; J4= 0.66;    % Massentrgheitsmoment
kTl = 1; kT2 = 1.8; i32 = -0.8;         % Steifigkeit
% Reduzierte Parameter
J2r= J2 + i32^2*J3; 
J4r = i32^2*J4; 
kT2r = i32^2*kT2; 
% Systemmatrizen
K = [ kTl   -kTl        0               % Steifigkeitsmatrix
      -kTl  (kTl+kT2r)  -kT2r 
      0     -kT2r       kT2r]; 
M = [Jl  0   0                          % Massenmatrix
     0   J2r 0 
     0   0   J4r]; 
%% Berechnung Eigenwertproblem 
[EV,EW] = eig(K,M);  
omega = sqrt(diag(EW));
for k = 1:3
    subplot(3,1,k)
    if k == 1
        %title('Eigenform zu omega l')
    elseif k == 2
        %title('Eigenform zu omega 2')
    elseif k == 3
        %title('Eigenform zu omega 3')
    end
    p1(k) = plot([-1 0 1],EV(:,k),'k.-');
    r1(k) = refline(0,0);
end  
%% Plot anpassen
set(findobj(gcf,'type','axes'),'FontSize',9,'FontName','Times',...
    'XGrid','on','YGrid','on','YLim',[-1.5 1.5])
set(r1,'LineStyle','--','Color','k')
set(p1,'MarkerSize',12)
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 8])
print(gcf,'Aufg11_08_1','-dpng','-r300')  