%% Aufgabe 12.4
clear all; close all; clc;
%% Parameter (symbolisch)
syms L R L_s         % geometrische Variablen
syms x               % Lngskoordinate
syms rho;            % Dichte
syms q               % Streckenlast
syms I E             % Flchentrgheitsmoment, Elastizittsmodul
A = pi*R^2;
%% Formfunktionen
% Biegelinie aus Tabellenbuch
w = q*x*(L-x)/24/E/I*(L^2+x*(L-x));
% Maximale Auslenkung
w_max = 5*L^4/384/E/I;
% Normierung auf w_max und 1-Kraft
w_norm = simplify(w/q/w_max);
pretty(w_norm)
%% Integration
m_I = int(rho*A*w_norm^2,x,0,L)
%% quadratische Formfunktion
L_s = L/2;
W =(x*(L-x))/(L_s*(L-L_s));
m_0 = int(rho*A*W^2,x,0,L)
%% Abweichung der berechneten Masse mit der Biegelinie als Formfunktion
fehler_in_Prozent = round((m_I-m_0)/m_I*100)