% Aufgabe 12.14
clear all; close all; clc;
%% Parameter
Da = [0.1, 0.05];               % uere Dmpfung
Di = [0.05, 0.1];               % Innere Dmpfung
Omega_tilde = [.5, 1.0, 1.5];   % Bezogene Winkelgeschwindigkeit                            
omega_0 = 1;                    % Eigenkreisfrequenz in rad/s
t = 0:.1:100;                   % Zeit in s
x0 = 1;                         % Anfangsbedingungen
y0 = 1;
vx0 = 0;
vy0 = 0;
str = {'a)','b)','c)','d)','e)','f)'}; % Beschriftung
%% Berechnung der Bahnkurve des Wellendurchstopunkts
hold on
for u = 1:2
    for w = 1:length(Omega_tilde)
        lambda_1_tilde = -(Da(u)+Di(u))+ ...
                         sqrt((Da(u)+Di(u))^2-1+2*Di(u)*1i*Omega_tilde(w));
        lambda_2_tilde = -(Da(u)+Di(u))- ...
                         sqrt((Da(u)+Di(u))^2-1+2*Di(u)*1i*Omega_tilde(w));
        C1 = (vx0+1i*vy0-lambda_2_tilde*(x0+1i*y0)/...
             (lambda_1_tilde-lambda_2_tilde));
        C2 = (-vx0-1i*vy0+lambda_1_tilde*(x0+1i*y0)/...
             (lambda_1_tilde-lambda_2_tilde));   
        z = C1*exp(lambda_1_tilde*omega_0*t) + ...
            C2*exp(lambda_2_tilde*omega_0*t);
        subplot(3,2,(u+(w-1)*2))
        plot(z,'k')
        t1(u+(w-1)*2) = text(-.9,0.85,str(u+(w-1)*2));
    end
end
%% Plot anpassen
set(findobj(gcf,'type','axes'),'FontSize',9,'FontName','Times',...
    'XGrid','on','YGrid','on')
set(t1,'FontSize',9,'FontName','Times')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 12])
print(gcf,'Aufg12_14_1','-dpng','-r300') 