%% Aufgabe 13.2
clear all; close all; clc;
%% Parameter (symbolisch)
syms l1 l2 l EI h1
phi = pi/180*45;            % Drehwinkel in rad
% Nachgiebigkeitsmatrix
h11 = h1^2*(l1^3+l2^3)/3/EI/l^2;
h12 = h1*l1*l2*(l1-l2)/3/EI/l;
h21 = h1*l1*l2*(l1-l2)/3/EI/l;
h22 = l1^2*l2^2/3/EI/l;
%% Berechnung Hhe h
S = (h11-h22);
h = solve(S,h1);
disp('h ='); pretty(h(1));
%% Berechnung der Nachgiebigkeit unter 45
h11 = subs(h11,h1,h(1));
h12 = subs(h12,h1,h(1));
h21 = subs(h21,h1,h(1));
h22 = subs(h22,h1,h(1));
H_1 = [h11, h12; h21, h22];
R = [cos(phi) sin(phi); -sin(phi) cos(phi)];
H_R = R*H_1;
disp('Nachgiebigkeit unter 45 = '); pretty(H_R(1,1))