%% Aufgabe 13.17
clear all; close all; clc;
%% Parameter (siehe auch 13.4.4.2)
M = [1 0; 0 1];     % Bezogene Massenmatrix 
K = [8 3; 3 27/8];  % Bezogene Steifigkeitsmatrix
a = 0.02;           % Stahl - modale Dmpfung 0.01 (Nherung)
b = 0.005;          % Stahl - modale Dmpfung 0.01 (Nherung)
D = a*M+b*K;        % Raleigh-Dmpfung
%% Ungedmpft
[EV,EW] = eig(K,M);
Eigenwerte = sqrt(EW)
Eigenvektoren = -EV
%% Gedmpft
[EV2, EW2] = polyeig(K,D,M);
Eigenwerte_damped = EW2([3,1])
Eigenvektoren_damped = EV2(:,[3 1])
Eigenvektoren_damped_abs = abs(EV2(:,[3 1])) % Vorzeichen beachten!