%% Aufgabe 13.20
clear all; close all; clc;
%% Parameter 
M = [1 0; 0 1];             % Bezogene Massenmatrix 
K = [8 3; 3 27/8];          % Bezogene Steifigkeitsmatrix
D = [0.1 0.05; 0.05 0.05];  % Bezogene Dmpfungsmatrix
x_1  = [-0.4413 0.8974]';   % Eigenvektoren fr D = 0
x_2  = [0.8974 0.4413]';
om_1 = 1.37828;             % Eigenkreisfrequenzen fr D = 0
om_2 = 3.07820;
%% Korrekturfaktoren - Reihenfolge EV und EW vertauscht
a1 = (1j*om_2*x_1'*D*x_2)/(x_1'*(K-om_2^2*M)*x_1)
a2 = (1j*om_1*x_2'*D*x_1)/(x_2'*(K-om_1^2*M)*x_2)
%% Korrigierte Eigenvektoren
x_1_korr = x_1 + a2*x_2
x_2_korr = x_2 + a1*x_1