%% Aufgabe 13.35
clear all; close all; clc;
%% Parameter (Bezogene Gren)
M = eye(2);             % Massenmatrix
K = [8 3; 3 3.375];     % Steifigkeitsmatrix
D = [.2 .08; .08 .1];   % Dmpfungsmatrix
Om = [1.36 1.43];       % Erregerkreisfrequenz bei om_1 und om_2
Omt = 0:pi/2:3/2*pi;    % Om*t in rad
F = [1;-1j];            % Erregerkraft
r_s = 3;                % Skalierungsfaktor Unwucht Hebelarm
%% Berechnung Auslenkung
for i1 = 1:length(Om)
    x(i1,:) = Om(i1)^2*(K-Om(i1)^2*M+1j*Om(i1)*D)^-1*F;
end
for i2 = 1:length(Om)
    for i1 = 1:length(Omt)
        subplot(2,4,i1+length(Omt)*(i2-1))
        plot([0 real(x(i2,1)*exp(1j*Omt(i1))) ],...
             [0 real(x(i2,2)*exp(1j*Omt(i1))) ],'k--');
        hold all
        plot([real(x(i2,1)*exp(1j*Omt(i1))) real((x(i2,1)+r_s)*exp(1j*Omt(i1)))],...
             [real(x(i2,2)*exp(1j*Omt(i1))) real((x(i2,2)-1j*r_s)*exp(1j*Omt(i1)))],'.k-','MarkerSize',20);
        set(gca,'XGrid','on','YGrid','on')
    end
end
%% Plot anpassen
set(findobj(gcf,'type','axes'),'FontSize',9,'FontName','Times')
axis square
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 12 6])
print(gcf,'Aufg13_35_1','-dpng','-r300')  