%% Aufgabe 16.10
clear all; close all; clc;
%% Parameter
N = 3;                          % Anzahl Elemente
Ki = N*[1 -1; -1 1];            % Element-Steifigkeitsmatrix
Mi = 1/N*[1/3 1/6; 1/6 1/3];    % Element-Massenmatrix
K = zeros(N+1);                 % System-Steifigkeitsmatrix
M = K;                          % System-Massenmatrix
%% Matrizen assemblieren
for i = 1:N M(i:i+1,i:i+1) = M(i:i+1,i:i+1) + Mi;
    K(i:i+1,i:i+1) = K(i:i+1,i:i+1) + Ki;
end
M(1,1) = 1+M(1,1);              % Diskrete Masse
M(end,end) = 2+M(end,end);      % Diskrete Masse
%% Eigenwertproblem
[x,lambda] = eig(K,M);      
Eigenfrequenzen = real(sqrt(diag(lambda)))