%% Aufgabe 17.15 und 17.16
clear all; close all; clc;
%% Parameter
syms l1 l x
syms G EI
w_I = G*l^3/6/EI*(2*l1*x/l^2-3*l1^2*x/l^3+l1^3*x/l^4+l1*x^3/l^4-x^3/l^3);
w_II = G*l^3/6/EI*(-l1^3/l^3+2*l1*x/l^2+l1^3*x/l^4-3*l1*x^2/l^3+l1*x^3/l^4);
% Biegelinie fr l<x<2l fortsetzen (Punktsymmetrie)
w_III = -subs(w_II,x,(2*l-x));
w_IV = -subs(w_I,x,(2*l-x));
%% Fouriersumme (Nur ungerade Koeffizienten, Periode 2l, Aufg 17.15)
w_sin = 0;
for k = 1:3
    b(k) = 2/(2*l)*(int(w_I*sin(k*2*pi*x/(2*l)),x,0,l1) + ...
                    int(w_II*sin(k*2*pi*x/(2*l)),x,l1,l) + ...
                    int(w_III*sin(k*2*pi*x/(2*l)),x,l,2*l-l1) + ...
                    int(w_IV*sin(k*2*pi*x/(2*l)),x,2*l-l1,2*l) ); 
    w_sin = w_sin + b(k) * sin(k*2*pi*x/(2*l));
end
%% Plot erstellen
l_1 = 0.8;
b_k = subs(b, [G EI l l1], [1 1 1 l_1]);
fplot(subs(w_sin, [G EI l l1], [1 1 1 l_1]),[0 1],'-k','LineWidth',2)
hold all
fplot(subs(w_I, [G EI l l1], [1 1 1 l_1]),[0 l_1],'--r','LineWidth',2)
fplot(subs(w_II, [G EI l l1], [1 1 1 l_1]),[l_1 1],'--r','LineWidth',2)
legend('Fourier','Original')
%% Koeffizienten q_st vgl. Gl. (17.100) (Aufg. 17.16)
vpa(b_k',3)








