%% Aufgabe A.18
clear all; close all; clc;
%% Parameter
syms phi psi theta phi_p psi_p theta_p real
R_theta = [1 0 0;
    0 cos(theta) sin(theta);
    0 -sin(theta) cos(theta)];
R_phi = [cos(phi) sin(phi) 0;
    -sin(phi) cos(phi) 0;
    0 0 1];
R_psi = [cos(psi) sin(psi) 0;
    -sin(psi) cos(psi) 0;
    0 0 1];
%% Eulerdrehung
R_E = R_phi * R_theta * R_psi;
R_E_p = (diff(R_phi,phi)*R_theta*R_psi)*phi_p +...
        (R_phi*diff(R_theta,theta)*R_psi)*theta_p +...
        (R_phi*R_theta*diff(R_psi,psi))*psi_p;
% Drehgeschwindigkeitsmatrix (A.52)
Omega = R_E_p * R_E';
Omega = simplify(Omega);
% Winkelgeschwindigkeiten fr die Eulerwinkel (A.61)
w1 = Omega(2,3)
w2 = -Omega(1,3)
w3 = Omega(1,2)
