%% Aufgabe 1.16
clear all; close all; clc;
%% Parameter
T_d = 1000;     % Periodendauer aufmodulierte Schwingung in s
T_s = 30;       % Periodendauer Trgerschwingung in s
t = 0:0.1:2000; % Zeit in s
%% Schwebung berechnen (Buch Formel 1.90)
omega_d = 2*pi/T_d;
omega_s = 2*pi/T_s;
phi01 = pi/2;
phi02 = pi/2;
x = 2*cos((omega_d*t+phi01-phi02)/2).*cos((omega_s*t+phi01+phi02)/2);
%% Plot erstellen
plot(t,x,'k');
xlabel('{\it t}/{\its}');
ylabel('{\it x}({\itt})');
%% Plot anpassen
set(gca,'FontSize',9,'FontName','Times')
grid on
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 4])
print(gcf,'Aufg01_16_1','-dpng','-r300')