%% Aufgabe 1.19
clc; clear all; close all;
%% Parameter 
t = [0:1/100:10]*2*pi;  % Zeit in s
delta = 0.07;           % Abklingkoeffizient
phi0 = -pi/4;           % Nullphasenwinkel in rad
A = 1;                  % Amplitude
omega = 1;              % Kreisfrequenz in rad/s
%% Exponentiell schwindende Schwingung
% Schwingung
x = A.*exp(-delta*t).*cos(omega*t+phi0);
% Einhllende
y = A.*exp(-delta*t);
% Referenz fr log Darstellung
z = cos(omega*t+phi0);
%% Plots erstellen
% lineare Darstellung mit Einhllender
subplot(2,1,1); 
p1 = plot(t,x,'k-'); a1 = gca;
hold on
p2 = plot(t,y,'--k');
p3 = plot(t,-y,'--k');
xlabel('{\it t}/{\its}');
ylabel('{\it x}({\itt})');
% halblogaritmische Darstellung mit Einhllender
subplot(2,1,2);
plot(t(find(z>=0.1)),log(x(find(z>=0.1))),'k-'); a2 = gca;
hold on
plot(t,log(y),'--k');
xlabel('{\it t}/{\its}');
ylabel('ln({\itx})');
%% Plots anpassen
set([a1 a2],'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')
axis(a1,[0 10*2*pi -1 1])
axis(a2,[0 10*2*pi -5 0])
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 6])
print(gcf,'Aufg01_19_1','-dpng','-r300')

