% Aufgabe 4.4 
clear all; close all; clc;
%% Parameter
k1 = 250;                   % Steifigkeit in N/m^2
k1_stern = .50;             % Steifigkeit in N/m^2
F_R = 200;                  % Kraft in N
alpha = 0.05;               % Faktor in s/mm
x1_dach = 1;                % Amplitude in mm
Om = 50;                    % Kreisfrequenz in rad/s
t = 0:1/1000:.2;            % Zeit in s
%% Auslenkung
x1 = x1_dach*(cos(Om*t)+cos(3*Om*t));
x1_punkt = -x1_dach*Om*(sin(Om*t)+3*sin(3*Om*t));
%% Kennlinienmodell
F_F1 = k1*x1 + k1_stern*x1.^2;
F_D1 = F_R*tanh(alpha*x1_punkt);
%% Plot erstellen
figure(1);
plot(x1, F_F1 + F_D1,'k');
xlabel('{\itx}/mm');
ylabel('Kraft/N');
%% Plots anpassen
set(gca,'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 8 4])
print(gcf,'Aufg04_04_1','-dpng','-r300')