    %% Aufgabe 6.17
clear all; close all; clc;
%% Parameter
D = 0.1;                % Dmpfungsgrad
%% Verarbeitung
V = @(Omega) 1./sqrt((1-Omega.^2).^2+4*D^2*Omega.^2);
g = 2-1/sqrt(2-4*D^2);  % Grenzwert fr Omega, V > 1, in a(Omega)
%% Ausgabe
% Vergrerungsfunktion
plot(0:0.01:1,2-1./V(0:0.01:1),'k-');
hold all
plot(1:0.001:g,2-1./V(1./(2-(1:0.001:g))),'k-');
plot(g:0.001:2,V(1./(2-(g:0.001:2))),'k-');
xlabel('$\it\tilde{\Omega}\rightarrow$\hspace{6cm}$\leftarrow (2-{1}/{\it\tilde{\Omega}})$','interpreter','latex');
ylabel('$V_1\rightarrow$\hspace{1.5cm}$\leftarrow (2-{1}/{V_1})$','interpreter','latex');
%% Plot anpassen
set(gca,'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')  
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 5])
print(gcf,'Aufg06_17_1','-dpng','-r300')