%% Aufgabe 6.20
clear all; close all; clc;
%% parameter
Omega_tilde = 0:.001:5;     % dimensionslose Erregerfrequenz
D = 0.1;                    % Dmpfungsgrad
%% bertragungsfunktion
H = @(Omega) (1+1i*2*D*Omega)./(1-Omega.^2+1i*2*D*Omega);
%% Plots erstellen
% Vergrerungsfunktion
f1 = figure(1);
plot(Omega_tilde,abs(H(Omega_tilde)),'k-'); a1 = gca;
xlabel('$\it\tilde{\Omega}$','interpreter','latex');
ylabel('$|V(\it\tilde{\Omega})|$','interpreter','latex');
% Ortskurve
f2 = figure(2);
plot(real(H(Omega_tilde)),imag(H(Omega_tilde)),'k-'); a2 = gca;
hold all
plot(real(H([0 1])),imag(H([0 1])),'k*')
xlabel('$\mathrm{Re}(H(\it\tilde{\Omega}))$','interpreter','latex');
ylabel('$\mathrm{Im}(H(\it\tilde{\Omega}))$','interpreter','latex');
t1 = text(.7,-.6,'${\it\tilde{\Omega}}=0$','Interpreter','latex');
t2 = text(.7,-4.5,'${\it\tilde{\Omega}}=1$','Interpreter','latex');
%% Plots anpassen
set([a1 a2],'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')  
%% Plot exportieren
set(f1,'units','centimeters','pos',[20 10 10 4])
set(f2,'units','centimeters','pos',[20 10 10 4])
print(f1,'Aufg06_20_1','-dpng','-r300')
print(f2,'Aufg06_20_2','-dpng','-r300')