%% Aufgabe 6.27
clear all; close all; clc;
%% Parameter
omega0 = 25;                    % Eigenkreisfrequenz in rad/s
D = .15;                        % Daempfunggrad
T_1 = 5;                        % Periodendauer in s
F_c = 10;                       % Kraft in N
m = 1;                          % Masse in kg
t = 0:1/500:10;                 % Zeit in s
omega = omega0*sqrt(1-D^2);     % Quasikreisfrequenz in rad/s
delta = D * omega;              % Abklingkoeffizient
%% Berechnung Auslenkung
x1= exp(-delta*t).*cos(omega*t)-1;
x2= exp(-delta*(t-T_1)).*cos(omega*(t-T_1))-1;
x = -F_c/m/(delta^2+omega^2)*(heaviside(t).*x1-heaviside(t-T_1).*x2);
%% Plot erstellen
plot(t,x,'k');
xlabel('\itt/s');
ylabel('Auslenkung');
%% Plot anpassen
set(gca,'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')  
ylim([-0.02 0.04])
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 6 4])
print(gcf,'Aufg06_27_1','-dpng','-r300')