function [rs] = ruettler(t,u)

% Dies ist die Rechte Seite fr den Ruettleranlauf, 30. Mrz 2017
% Parameter in param.m

global sypa;

TA   = sypa(1);
D    = sypa(2);
Eps0 = sypa(3);

% u = [u1, u2,  u3, u4]
%     [Om, phi, Xp, X ]

Eps   = Eps0;              % konstante Winkelbeschleunigung
%Eps   = Eps0*t/TA;         % mit der Zeit linear wachsend W-Beschl.
rs(1) = Eps;
rs(2) = u(1);
f3    = (u(1)^2-i*Eps)-2*(D+i*u(1))*u(3)-(1-u(1)^2+2*D*i*u(1)+i*Eps)*u(4);
rs(3) = f3;
rs(4) = u(3);

rs = [rs(1)
      rs(2)
      rs(3)
      rs(4)];