%% Aufgabe 13.26
clear all; close all; clc;
%% Parameter (Bezogene Gren)
Om = 3;                     % Erregerkreisfrequenz
M = [1 0; 0 1];             % Massenmatrix
B = [0.2  0.08; 0.08 0.1];  % Dmpfungsmatrix
K = [8 3; 3 27/8];          % Steifigkeitsmatrix
K_dyn = K-Om^2*M+1i*Om*B;   % Dynamische Steifigkeitsmatrix
alp = pi*30/180;            % Winkel Auslenkung in rad
N = 100;                    % Anazhl Berechnungschritte
xd = [cos(alp), sin(alp)]'; % Auslenkung = 1 
Omt = linspace(-pi,pi,2*N); % Omega*t
%% Berechnung Erregerkraft
Fd = K_dyn*xd;        
xr = real(xd*exp(1i*Omt));
Fr = real(Fd*exp(1i*Omt));
% Ausgabe
subplot(1,2,1)
%title('Auslenkungen')
hold on
    axis equal
    plot(xr(1,:),xr(2,:),'-k'); a1 = gca;
    %plot(xr(1,1),xr(2,1),'ok');
    %plot(xr(1,10),xr(2,10),'*k');
    %plot(xr(1,N),xr(2,N),'+k');
    xlabel('{\itx}_H');
    ylabel('{\itx}_V');    
subplot(1,2,2)
%title('Krfte')
hold on
    axis equal
    plot(Fr(1,:),Fr(2,:),'-k'); a2 = gca;
    %plot(Fr(1,1),Fr(2,1),'ok');
    %plot(Fr(1,10),Fr(2,10),'*k');
    %plot(Fr(1,N),Fr(2,N),'+k')    
    xlabel('{\itF}_H');
    ylabel('{\itF}_V');     
%% Plots anpassen
axis([a1 a2],[-1.1 1.1 -0.6 0.6]);
set([a1 a2],'FontSize',9,'FontName','Times')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 12 4])
print(gcf,'Aufg13_26_1','-dpng','-r300')