%% Aufgabe 14.7
clear all; close all; clc;
%% Parameter
syms psi_1(t) psi_2(t)      % Lagezustandsgren
syms psi_1p(t) psi_2p(t)    % Geschwindigkeitszustandsgren
syms J_a J_b J_P            % MTM J_a=(J_11+J_22)/2, J_b=(J_11-J_22)/2
syms Om t                   % Omega, Zeit  
% (14.41) ergibt mit (14.45) die kinetische Energie der Rotation
om_3k = Om + (psi_2*psi_1p - psi_1*psi_2p)/2;
E_kr = J_a/2*(psi_1p^2 + psi_2p^2)...
     + J_P/2*(Om + om_3k)^2 ...
     + J_b/2*((psi_1p^2-psi_2p^2)*cos(2*Om*t)+psi_1p*psi_2p*sin(2*Om*t));
% Lagrange Formalismus
D1p = functionalDerivative(E_kr, psi_1p);
D1 = functionalDerivative(E_kr, psi_1);
Dgl1 = diff(D1p,'t') - D1;
% Ableitung der Lage- durch Geschwindigkeitszustandsgren ersetzen
L1=subs(Dgl1, [diff(psi_1(t),t),diff(psi_2(t),t) ], [psi_1p, psi_2p]);
% Terme zusammenfassen
collect(L1, [diff(psi_1p,'t'),diff(psi_2p,'t'),psi_1p,psi_2p,psi_1,psi_2])
% Zweite Dgl
D2p = functionalDerivative(E_kr, psi_2p);
D2 = functionalDerivative(E_kr, psi_2);
Dgl2 = diff(D2p,'t') - D2;
% Ableitung der Lage- durch Geschwindigkeitszustandsgren ersetzen
L2=subs(Dgl2, [diff(psi_1(t),t),diff(psi_2(t),t) ], [psi_1p, psi_2p]);
% Terme zusammenfassen
collect(L2, [diff(psi_1p,'t'),diff(psi_2p,'t'),psi_1p,psi_2p,psi_1,psi_2])
% nichtlineare Terme sind noch aus der Lsung zu streichen