%% Aufgabe 15.7
clear all; close all; clc;
%% Parameter 
alpha = [0:0.0001:4.2*pi];
delta = alpha.^4*2.*sin(alpha)-alpha.^3*3.*cos(alpha)-... % Determinante
        alpha.^2.*sin(alpha); 
a1 = -1./delta.*(2*alpha.^2.*sin(alpha)-alpha.*cos(alpha));
a2 =  1./delta.*(2*alpha.^2.*cos(alpha)+alpha.*sin(alpha));
phi_1 = a1;
phi_2 = a1.*cos(alpha)+a2.*sin(alpha);
%% Plot erstellen
p1 = subplot(4,1,1);
plot(alpha/pi,abs(phi_1),'k')
ylabel('$|\hat{\tilde{\varphi_1}}|$','interpreter','latex')
p2 = subplot(4,1,3);
plot(alpha/pi,abs(phi_2),'k')
ylabel('$|\hat{\tilde{\varphi_2}}|$','interpreter','latex')
p3 = subplot(4,1,2);
plot(alpha/pi,phi_1<=0,'k')
ylabel('$\Psi_1/\pi$','interpreter','latex')
p4 = subplot(4,1,4);
plot(alpha/pi,phi_2<=0,'k')
xlabel('$\alpha/\pi$','interpreter','latex')
ylabel('$\Psi_2/\pi$','interpreter','latex')
%% Plots anpassen
set([p1 p2],'YLim',[0 2]);
set([p3 p4],'YLim',[0 1.1]);
set([p1 p2 p3 p4],'XLim',[0 4.2]);
set(findobj(gcf,'type','axes'),'FontSize',9,'FontName','Times')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 10])
print(gcf,'Aufg15_07_1','-dpng', '-r300')