%% Aufgabe 16.01
clear all; close all; clc;
%% Parameter (symbolisch)
syms x l rho G I_p t J_1 J_2
syms phi_1(t) phi_2(t) phi_3(t) 
syms dphi_1(t) dphi_2(t) dphi_3(t) 
Phi(1) = 1-x/l;
Phi(2) = x/l;
Phi(3) = 4*x/l*(1-x/l);
q = [phi_1 phi_2 phi_3].';
dq = diff(q,t);
phi = Phi(1)*phi_1+Phi(2)*phi_2+Phi(3)*phi_3;
%% Berechnung potentielle und kinetische Energie mit Gl. (16.1) und (16.4)
T = 1/2*int(rho*I_p*diff(phi,t)^2,x,0,l)+...
    1/2*J_1*diff(phi_1,t)^2+...
    1/2*J_2*diff(phi_2,t)^2;
U = 1/2*int(G*I_p*diff(phi,x)^2,x,0,l);
%% Berechnung potentielle und kinetische Energie mit Gl. (16.10)
for i1 = 1:3
    for i2 = 1:3
        J(i1,i2) = int(rho*I_p*Phi(i1)*Phi(i2),x,0,l);
    end
end
J(1,1) = J(1,1) + J_1;
J(3,3) = J(3,3) + J_2;
for i1 = 1:3
    for i2 = 1:3
        K(i1,i2) = int(G*I_p*diff(Phi(i1),x)*diff(Phi(i2),x),x,0,l);
    end
end
T_2 = 1/2*dq.'*J*dq;
U_2 = 1/2*q.'*K*q;
%% Darstellung
pretty(T)
pretty(U)