%% Aufgabe 15.7
clear all; close all; clc;
%% Parameter 
x = [0:0.01:1];
x_1 = [1 1 0];
x_2 = [1 -0.609 0.036];
x_3 = [1 0.503 -4.136];
%% Berechnung
% Diskret
phi_d2 = (1-x)*x_2(1) + (x)*x_2(2) + (4*x.*(1-x))*x_2(3);
phi_d3 = (1-x)*x_3(1) + (x)*x_3(2) + (4*x.*(1-x))*x_3(3);
% Kontinuum
phi_k2 = cos(0.362*pi*x)-0.362*pi*sin(0.362*pi*x);
phi_k3 = cos(1.132*pi*x)-1.132*pi*sin(1.132*pi*x);
%% Plot erstellen
subplot(1,2,1)
plot(x,phi_d2,'k-',x,phi_k2,'k--')
xlabel('$x/l$','interpreter','latex')
ylabel('$\hat{\varphi_2}$','interpreter','latex')
legend('glob. Ansatzfkt.','Kontinuum','Location','SouthWest')
subplot(1,2,2)
plot(x,phi_d3,'k-',x,phi_k3,'k--')
xlabel('$x/l$','interpreter','latex')
ylabel('$\hat{\varphi_3}$','interpreter','latex')
%% Plots anpassen
set(findobj(gcf,'type','axes'),'FontSize',9,'FontName','Times')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 13 5])
print(gcf,'Aufg16_08_1','-dpng', '-r300')