%% Aufgabe 17.4 
clear all; close all; clc;
%% Parameter
x = -4:0.01:4; 
%% Plot erstellen
hold on
plot(x,exp(x),'-k','linewidth',1)
plot(x,exp(-x),'--k','linewidth',1)
plot(x,cosh(x),'-k','linewidth',2)
plot(x,sinh(x),'--k','linewidth',2)
xlabel('$x$','interpreter','latex');
ylabel('$f(x)$','interpreter','latex');
l1 = legend('$e^x$','$e^{-x}$','$\cosh(x)=0.5(e^x+e^{-x})$', ...
            '$\sinh(x)=0.5(e^x-e^{-x})$','Location','NorthEastOutside');
%% Plot anpassen
set(gca,'FontSize',9,'FontName','Times','XGrid','on','YGrid','on',...
    'Gridalpha',0.7)
ylim([-5,5])
set(l1,'Interpreter','latex')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 12 6])
print(gcf,'Aufg17_04_1','-dpng','-r300')  