%% Aufgabe A.10
clear all; close all; clc;
%% Parameter
psi = 100*pi/180;  % in rad 
theta = 10*pi/180; % in rad;
phi = 10*pi/180;   % in rad;
%% Elementardrehungen nach (A.20)
R_psi = [cos(psi) sin(psi) 0;   % R_3(psi)
        -sin(psi) cos(psi) 0;
        0 0 1];
R_theta = [1 0 0;               % R_1(theta)
    0  cos(theta) sin(theta);
    0 -sin(theta) cos(theta)];
R_phi = [cos(phi) sin(phi) 0;   % R_3(phi)
        -sin(phi) cos(phi) 0;
         0 0 1];
%% Eulerdrehung
R_e = R_phi * R_theta * R_psi;
% Eigenlser
[V,D] = eig(R_e)
% Drehachse, Eigenvektor
Drehachse = V(:,3)
% Winkel der Drehachse
alpha = acos(Drehachse) /pi*180 % in grad
