%% Aufgabe A.17
clear all; close all; clc;
%% Parameter
syms phi1 phi2 phi3 phi1_p phi2_p phi3_p real
R1 = [1 0 0;               
    0 cos(phi1) sin(phi1);
    0 -sin(phi1) cos(phi1)];
R2 = [cos(phi2) 0 -sin(phi2);
    0   1   0
    sin(phi2) 0 cos(phi2)];
R3 = [cos(phi3) sin(phi3) 0;
    -sin(phi3) cos(phi3) 0;
    0 0 1];
%% Cardandrehung
Rc = R3*R2*R1;
Rc_p = (diff(R3,phi3)*R2*R1)*phi3_p+...
       (R3*diff(R2,phi2)*R1)*phi2_p+...
       (R3*R2*diff(R1,phi1))*phi1_p;
% Drehgeschwindigkeitsmatrix (A.52) 
Omega = Rc_p*Rc';
Omega = simplify(Omega);
% Winkelgeschwindigkeiten fr die Kardanwinkel (A.60)
w1 = Omega(2,3)
w2 = -Omega(1,3)
w3 = Omega(1,2)
